summaryrefslogtreecommitdiffstats
path: root/package/base-files/rb532
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-03 22:03:50 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-03 22:03:50 +0000
commit81671750134cc98c33ac4441d7a6eacf59448641 (patch)
treea3b14c1c179be87fb786d4a911daa3116be3286d /package/base-files/rb532
parent41ca1e6a0951a8d2a0491b5c5c17456dea596c26 (diff)
rename the <boardname>-<kernelversion> directories of base-files to just <boardname>, so that the broadcom stuff can share files across kernel versions. adding back <boardname>-<kernelversion> for version specific overrides is still possible
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@5427 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/rb532')
-rw-r--r--package/base-files/rb532/etc/config/network12
-rwxr-xr-xpackage/base-files/rb532/sbin/cf2nand66
2 files changed, 78 insertions, 0 deletions
diff --git a/package/base-files/rb532/etc/config/network b/package/base-files/rb532/etc/config/network
new file mode 100644
index 000000000..827969057
--- /dev/null
+++ b/package/base-files/rb532/etc/config/network
@@ -0,0 +1,12 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option ifname eth0
+ option proto dhcp
+
diff --git a/package/base-files/rb532/sbin/cf2nand b/package/base-files/rb532/sbin/cf2nand
new file mode 100755
index 000000000..f8576beaa
--- /dev/null
+++ b/package/base-files/rb532/sbin/cf2nand
@@ -0,0 +1,66 @@
+#!/bin/sh
+. /etc/functions.sh
+
+copy_kernel() {
+ local input="$1"
+ local output="$2"
+ local cmdline="$3"
+ size="$(echo -n "$cmdline" | wc -c)"
+ dd if="$input" bs=3M count=1 | (
+ dd bs=4112 count=1
+ echo -n "$cmdline"
+ dd if=/dev/zero bs="$((512 - $size))" count=1
+ dd bs=512 count=1 of=/dev/null
+ cat
+ ) > "$output"
+}
+
+fstype="$(mount | grep ' / ' | awk '{print $5}')"
+case "$fstype" in
+ ext2|jffs2) echo "Copying from $fstype to yaffs2";;
+ *) echo "Invalid filesystem."; exit 1;;
+esac
+
+[ -d /tmp/cf2nand ] && {
+ echo "/tmp/cf2nand already exists"
+ exit 1
+}
+
+mkdir /tmp/cf2nand
+mkdir /tmp/cf2nand/rootfs
+mount -t "$fstype" /dev/root /tmp/cf2nand/rootfs || {
+ echo "Mounting rootfs failed."
+ exit 1
+}
+
+boot="$(find_mtd_part 'RouterBoard NAND Boot')"
+main="$(find_mtd_part 'RouterBoard NAND Main')"
+[ -z "$boot" -o -z "$main" ] && {
+ echo "Cannot find NAND Flash partitions"
+ exit 1
+}
+
+echo "Erasing filesystem..."
+mtd erase Boot 2>/dev/null >/dev/null
+mtd erase Main 2>/dev/null >/dev/null
+
+mkdir /tmp/cf2nand/p1
+mkdir /tmp/cf2nand/p2
+mount -t yaffs2 "$boot" /tmp/cf2nand/p1
+mount -t yaffs2 "$main" /tmp/cf2nand/p2
+
+echo "Copying kernel..."
+copy_kernel /dev/cf/card0/part1 /tmp/cf2nand/p1/kernel "root=/dev/mtdblock1 rootfstype=yaffs2 " 2>/dev/null >/dev/null
+umount /tmp/cf2nand/p1
+rmdir /tmp/cf2nand/p1
+
+echo "Copying filesystem..."
+( cd /tmp/cf2nand/rootfs; tar c . ) | ( cd /tmp/cf2nand/p2; tar x )
+sync
+umount /tmp/cf2nand/p2
+rmdir /tmp/cf2nand/p2
+
+umount /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand
+